import styled from "styled-components";
import { css } from "styled-components";
import { tokens } from "./TimePickerGrid.tokens";
export var base = css([
    "display:flex;width:100%;"
]);
export var StyledTimePicker = styled.div.withConfig({
    displayName: "TimePickerGrid.styles__StyledTimePicker",
    componentId: "sc-ad4aa553-0"
})([
    "background:var(",
    ");border-radius:var(",
    ");width:",
    ";display:flex;padding:var(",
    ");flex:1 1 1;gap:var(",
    ");box-sizing:border-box;position:relative;height:var(",
    ");"
], tokens.timePickerGridBackground, tokens.timePickerGridBorderRadius, function(param) {
    var width = param.width;
    if (width === 'fullWidth') return '100%';
    if (width === 'fixed' || width === undefined) return "var(".concat(tokens.timePickerGridWidth, ")");
    return width;
}, tokens.timePickerGridPadding, tokens.scrollbarWidth, tokens.columnHeight);
